"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parseSelector = require("postcss-selector-parser");
const convertScopeToModuleName_1 = require("./convertScopeToModuleName");
function convertSelectorForEmotion(selector, scope, knownScopes) {
    return parseSelector((nodes) => {
        nodes.first.walk((node) => {
            if (node.type === "class") {
                if (node.toString() === scope) {
                    node.toString = () => "&";
                }
                else if (knownScopes.has(node.toString())) {
                    node.toString = () => `.\${${convertScopeToModuleName_1.convertScopeToModuleName(`.${node.value}`)}}`;
                }
            }
            else if (node.type === "tag") {
                if (node.toString() === scope) {
                    node.toString = () => "&";
                }
            }
        });
    }).processSync(selector);
}
exports.convertSelectorForEmotion = convertSelectorForEmotion;
