"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parseSelector = require("postcss-selector-parser");
function getSelectorScope(selector) {
    let selectorScope = "root";
    parseSelector((nodes) => {
        for (const node of nodes.first.nodes) {
            if (node.type === "tag" &&
                selectorScope === "root" &&
                node.value !== "html" &&
                node.value !== "body") {
                selectorScope = node.toString().toLowerCase();
            }
            else if (node.type === "class") {
                selectorScope = node.toString();
                break;
            }
        }
    }).processSync(selector);
    return selectorScope;
}
exports.getSelectorScope = getSelectorScope;
